0 Replies Latest reply on Apr 4, 2006 1:18 PM by Paul Knepper

    Upgrading from 4.0.2 to 4.0.3SP1 - Dialect class not found.

    Paul Knepper Newbie

      I have an ear that has a .har component in it. In the .har there is a custom dialect class that works with MS SQL7. The app deploys and runs fine on JBoss-4.0.2.

      When I try to deploy on JBoss-4.0.3SP1 I get org.hibernate.HibernateException: Dialect class not found: com.heartlab.cardionow.dal.util.MySql7Dialect

      I'm developing on Windows XP, Java 1.5.0_03-b07.

      I noticed that the jboss-hibernate.deployer is not in the default deploy for JBoss 4.0.3SP1.

      Has anybody run into this before?

      Thanks,
      Paul